Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043573
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminorhave not tried2020-03-25 15:162020-04-06 15:50
ReportershuehnerView Statuspublic 
Assigned Toinigo_lerga 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revision420829b2a6d0
ProjectionnoneETAnoneTarget Version3.0PR20Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043573: Apply new HQL style in PriceDifferenceUtil

Description1. Avoid use of StringBuilder use normal Strings.
2. HQL formatting is important for improving readability.
3. Avoid use of Property Constant if any
Steps To Reproduce-
Proposed SolutionFollow new style available here http://wiki.openbravo.com/wiki/HQL_Coding_Conventions [^]
TagsNo tags attached.
Attached Filesdiff file icon 43573_partial.diff [^] (518 bytes) 2020-03-25 15:17 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 

-  Notes
(0118812)
shuehner (administrator)
2020-03-25 15:19

That file did use String already to construct HQL query.
However part of that String was creating using String.concat function instead of just doing it using the typical +=

That caused this to come up as non-constant string in automation.

Apart patch fixes that part.

Looking at HQL formatting probably should be reformatted for better readability also.
(0118830)
inigo_lerga (developer)
2020-03-26 10:32

--Test Plan Mantis HQL--
As the F&B International Group Admin role:
  - Go to the Process Price Difference Adjustment window.
    Select "F&B España, S.A" as Organization and Today's date
    as Movement Date.
    In the Product field select "Cerveza Ale 0,5L".
  - Press the Done button.

  #In this moment the modified HQL is updated#
(0118898)
hgbot (developer)
2020-04-01 09:27

Repository: erp/devel/pi
Changeset: ab8c6a4b3c323bb1843ba40e47de13a4292095e2
Author: Iñigo Lerga <inigo.lerga <at> openbravo.com>
Date: Thu Mar 26 10:34:28 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/ab8c6a4b3c323bb1843ba40e47de13a4292095e2 [^]

fixes BUG-43573:Applied new HQL Style

---
M src/org/openbravo/costing/PriceDifferenceUtil.java
---
(0118899)
dmiguelez (developer)
2020-04-01 09:28

Code Review + Testing Ok
(0118981)
hgbot (developer)
2020-04-06 11:54

Repository: erp/devel/pi
Changeset: 420829b2a6d0eaaf0c9be088c484090e49d83c3f
Author: Iñigo Lerga <inigo.lerga <at> openbravo.com>
Date: Thu Mar 26 10:34:28 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/420829b2a6d0eaaf0c9be088c484090e49d83c3f [^]

fixes BUG-43573:Applied new HQL Style

---
M src/org/openbravo/costing/PriceDifferenceUtil.java
---
(0118995)
jarmendariz (developer)
2020-04-06 15:50

closed: wrongly reopened

- Issue History
Date Modified Username Field Change
2020-03-25 15:16 shuehner New Issue
2020-03-25 15:16 shuehner Assigned To => Triage Finance
2020-03-25 15:16 shuehner Modules => Core
2020-03-25 15:16 shuehner Triggers an Emergency Pack => No
2020-03-25 15:16 shuehner Relationship added related to 0041287
2020-03-25 15:17 shuehner File Added: 43573_partial.diff
2020-03-25 15:19 shuehner Note Added: 0118812
2020-03-26 09:03 inigo_lerga Assigned To Triage Finance => inigo_lerga
2020-03-26 09:03 inigo_lerga Status new => scheduled
2020-03-26 10:32 inigo_lerga Note Added: 0118830
2020-04-01 09:27 hgbot Checkin
2020-04-01 09:27 hgbot Note Added: 0118898
2020-04-01 09:27 hgbot Status scheduled => resolved
2020-04-01 09:27 hgbot Resolution open => fixed
2020-04-01 09:27 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ab8c6a4b3c323bb1843ba40e47de13a4292095e2 [^]
2020-04-01 09:28 dmiguelez Review Assigned To => dmiguelez
2020-04-01 09:28 dmiguelez Note Added: 0118899
2020-04-01 09:28 dmiguelez Status resolved => closed
2020-04-01 09:28 dmiguelez Fixed in Version => 3.0PR20Q2
2020-04-06 11:54 hgbot Checkin
2020-04-06 11:54 hgbot Note Added: 0118981
2020-04-06 11:54 hgbot Status closed => resolved
2020-04-06 11:54 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/ab8c6a4b3c323bb1843ba40e47de13a4292095e2 [^] => http://code.openbravo.com/erp/devel/pi/rev/420829b2a6d0eaaf0c9be088c484090e49d83c3f [^]
2020-04-06 15:50 jarmendariz Note Added: 0118995
2020-04-06 15:50 jarmendariz Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker